package org.simplericity.jettyconsole.plugins;

import org.eclipse.jetty.webapp.WebAppContext;
import org.simplericity.jettyconsole.api.JettyConsolePluginBase;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 */
public class AddJexmecToServerClassesPlugin extends JettyConsolePluginBase {
    public AddJexmecToServerClassesPlugin() {
        super(AddJexmecToServerClassesPlugin.class.getName());
    }

    @Override
    public void beforeStart(WebAppContext context) {
        List<String> serverClasses = new ArrayList<String>(Arrays.asList(context.getServerClasses()));

        String jexmecPattern = "org.kantega.jexmec.";
        if(!serverClasses.contains(jexmecPattern)) {
            serverClasses.add(jexmecPattern);
        }
        
        context.setServerClasses(serverClasses.toArray(new String[serverClasses.size()]));

    }
}
